# Uses of Interface
org.apache.cxf.databinding.DataBinding

Packages that use DataBinding
Package
Description
org.apache.cxf.databinding
org.apache.cxf.databinding.source
org.apache.cxf.databinding.stax
org.apache.cxf.endpoint
org.apache.cxf.headers
org.apache.cxf.service
org.apache.cxf.service.factory

- ## Uses of DataBinding in org.apache.cxf.databinding

  Classes in org.apache.cxf.databinding that implement DataBinding
  Modifier and Type
  Class
  Description
  `class`
  `AbstractDataBinding`
  Supply default implementations, as appropriate, for DataBinding.
  `class`
  `AbstractInterceptorProvidingDataBinding`

- ## Uses of DataBinding in org.apache.cxf.databinding.source

  Classes in org.apache.cxf.databinding.source that implement DataBinding
  Modifier and Type
  Class
  Description
  `class`
  `SourceDataBinding`
  A simple databinding implementation which reads and writes Source objects.

- ## Uses of DataBinding in org.apache.cxf.databinding.stax

  Classes in org.apache.cxf.databinding.stax that implement DataBinding
  Modifier and Type
  Class
  Description
  `class`
  `StaxDataBinding`
  A simple databinding implementation which reads and writes Source objects.

- ## Uses of DataBinding in org.apache.cxf.endpoint

  Fields in org.apache.cxf.endpoint declared as DataBinding
  Modifier and Type
  Field
  Description
  `protected DataBinding`
  AbstractEndpointFactory.`dataBinding`
  Methods in org.apache.cxf.endpoint that return DataBinding
  Modifier and Type
  Method
  Description
  `DataBinding`
  AbstractEndpointFactory.`getDataBinding()`
  Methods in org.apache.cxf.endpoint with parameters of type DataBinding
  Modifier and Type
  Method
  Description
  `void`
  AbstractEndpointFactory.`setDataBinding(DataBinding dataBinding)`

- ## Uses of DataBinding in org.apache.cxf.headers

  Methods in org.apache.cxf.headers that return DataBinding
  Modifier and Type
  Method
  Description
  `DataBinding`
  Header.`getDataBinding()`
  `DataBinding`
  HeaderProcessor.`getDataBinding()`
  Methods in org.apache.cxf.headers with parameters of type DataBinding
  Modifier and Type
  Method
  Description
  `void`
  Header.`setDataBinding(DataBinding dataBinding)`
  Constructors in org.apache.cxf.headers with parameters of type DataBinding
  Modifier
  Constructor
  Description
  ``
  `Header(QName q, Object o, DataBinding b)`

- ## Uses of DataBinding in org.apache.cxf.service

  Methods in org.apache.cxf.service that return DataBinding
  Modifier and Type
  Method
  Description
  `DataBinding`
  Service.`getDataBinding()`
  `DataBinding`
  ServiceImpl.`getDataBinding()`
  Methods in org.apache.cxf.service with parameters of type DataBinding
  Modifier and Type
  Method
  Description
  `void`
  Service.`setDataBinding(DataBinding dataBinding)`
  `void`
  ServiceImpl.`setDataBinding(DataBinding dataBinding)`

- ## Uses of DataBinding in org.apache.cxf.service.factory

  Methods in org.apache.cxf.service.factory that return DataBinding
  Modifier and Type
  Method
  Description
  `protected DataBinding`
  AbstractServiceFactoryBean.`createDefaultDataBinding()`
  `DataBinding`
  AbstractServiceFactoryBean.`getDataBinding()`
  `DataBinding`
  AbstractServiceFactoryBean.`getDataBinding(boolean create)`
  Methods in org.apache.cxf.service.factory with parameters of type DataBinding
  Modifier and Type
  Method
  Description
  `void`
  AbstractServiceFactoryBean.`setDataBinding(DataBinding dataBinding)`